package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PMAnamesia_T")
public class PMAnamnesisUmum extends BaseTransaction {
	/**
	 * @author Shakato
	 */

	@Column(name = "inputanSuster", nullable = true)
	@Caption(value = "inputanSuster")
	private String inputanSuster;
	
	@Column(name = "inputanDokter", nullable = true)
	@Caption(value = "inputanDokter")
	private String inputanDokter;
	
	@Column(name = "riwayatPenyakit", nullable = true)
	@Caption(value = "riwayatPenyakit")
	private String riwayatPenyakit;
	
	@Column(name = "riwayatPengobatanYangDiterima", nullable = true)
	@Caption(value = "riwayatPengobatanYangDiterima")
	private String riwayatPengobatanYangDiterima;

	public String getInputanSuster() {
		return inputanSuster;
	}

	public void setInputanSuster(String inputanSuster) {
		this.inputanSuster = inputanSuster;
	}

	public String getInputanDokter() {
		return inputanDokter;
	}

	public void setInputanDokter(String inputanDokter) {
		this.inputanDokter = inputanDokter;
	}

	public String getRiwayatPenyakit() {
		return riwayatPenyakit;
	}

	public void setRiwayatPenyakit(String riwayatPenyakit) {
		this.riwayatPenyakit = riwayatPenyakit;
	}

	public String getRiwayatPengobatanYangDiterima() {
		return riwayatPengobatanYangDiterima;
	}

	public void setRiwayatPengobatanYangDiterima(String riwayatPengobatanYangDiterima) {
		this.riwayatPengobatanYangDiterima = riwayatPengobatanYangDiterima;
	}
}
